# $Revision: 1.11 $, $Date: 2010/05/06 06:51:25 $
#
# Conditional build:
%bcond_with	tests		# perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	HTTP
%define	pnam	Server-Simple
Summary:	HTTP::Server::Simple - Lightweight HTTP server
Summary(pl.UTF-8):	HTTP::Server::Simple - Lekki serwer HTTP
Name:		perl-HTTP-Server-Simple
Version:	0.43
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-authors/id/J/JE/JESSE/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	8f430708ab7b4c2b3a4e48c549c7185e
URL:		http://search.cpan.org/dist/HTTP-Server-Simple/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a simple standalone HTTP server. By default, it doesn't thread
or fork. It does, however, act as a simple frontend which can be used
to build a standalone web-based application or turn a CGI into one.
It's possible to use Net::Server to get threading, forking, preforking
and so on. Autrijus Tang wrote the functionality and owes docs for
that.

%description -l pl.UTF-8
HTTP::Server::Simple jest prostym, samodzielnym serwerem HTTP.
Domyślnie nie obsługuje on wątków i podprocesów, jednakże może
byc użyty jako frontend do budowy samodzielnej aplikacji WWW lub jako
CGI. Możliwe jest użycie modułu Net::Server do obsługi wątków,
podprocesów itp. z wykorzystaniem kodu stworzonego przez Autrijusa
Tanga.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/HTTP/Server
%{_mandir}/man3/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-HTTP-Server-Simple.spec,v $
Revision 1.11  2010/05/06 06:51:25  arekm
- up to 0.43

Revision 1.10  2010/03/03 08:46:43  amateja
- updated to 0.42

Revision 1.9  2009/10/20 09:59:26  amateja
- updated to 0.41

Revision 1.8  2009/09/14 19:52:17  arekm
- up to 0.40

Revision 1.7  2009/01/06 21:22:45  duddits
- up to 0.37

Revision 1.6  2008/08/08 21:42:42  arekm
- up to 0.34

Revision 1.5  2007/03/31 12:21:37  radek
- release 3: include perl_vendorlib/HTTP/Server dir

Revision 1.4  2007/03/31 11:22:58  qboosh
- pl fix, unified Source0

Revision 1.3  2007/03/26 20:35:12  radek
- release 2: kill tests (dumb)

Revision 1.2  2007/03/19 10:21:59  beorn
- Polish translation
- English description reformatting
- Adapterized

Revision 1.1  2007/03/19 00:28:36  radek
- new
